# POST /endpoints URL: https://developers.vsee.io/api/push-notification-api/post/endpoints Auth: User Token — Requires a user access token from login or SSO. Register device endpoint Register a new device for push notifications Register a device for push notifications. **Parameters:** - `key` — Device token (for Apple) or registration ID (for Android) - `type` — 30 for Apple Push Notification, 40 for Google Cloud Messaging Parameters: - X-ApiToken (header, string, required) — API token Request body (application/x-www-form-urlencoded): - key (string, required) — Device token (Apple) or registration ID (Android) - type (integer, required) — Device type: 30=APNS (Apple), 40=GCM (Google) Example request: ```json { "key": "string", "type": 0 } ``` Responses: - 200 — Successful registration ```json { "data": { "id": "551c5f64-a6d8-425d-b89c-581fac1f0144", "key": "123456", "user_id": "201", "type": 30, "created": 1427922788, "modified": 1427922788 } } ```